Decursive 2.7.3.1 (2014-02-03)
==============================


Changes from Decursive 2.7.3 to Decursive 2.7.3.1 (2014-02-03)
--------------------------------------------------------------

- Re-added Shamans' PURGE as a default spell. It disappeared by accident some
  time ago... Thanks to TazRulez for pointing this out!


Changes from Decursive 2.7.2.9 to Decursive 2.7.3 (2013-09-11)
--------------------------------------------------------------


- New feature: Decursive can display the number of stacks for the topmost
  affliction in the center of each MUF. The counter still defaults to time-left,
  this can be changed in the MUF's options. If you set your counter to
  time-elapsed in the past, it will be reset to time-left with this release.

- Maintaining the 'Shift' key will now change MUF's center counters in the
  following ways: if the Time-Left or Time-Elapsed option is set then it will
  switch to displaying the stacks number ; if the stacks display option is set,
  then it will switch to displaying the time left.

- Important code optimizations and improvements.

- Added an exception for when 'Fluidity' is detected on a unit, Decursive will
  ignore all afflictions on that unit. (other similar afflictions can be added
  easily, this should be turned into a configurable option later. In the mean
  time you can create a ticket if you want other anti-cleansing afflictions to be
  added).

- Decursive no longer dynamically hides option panels when the related features
  are disabled. Instead, the panels' content is greyed out.

- Fix: it was impossible to edit the internal macro for default custom spells.

- Change the live-list display option to be opt-in rather than opt-out.

- Clarified several options settings (option names and related tool tips)

- The charm status green centered square is now displayed in the top-right of
  MUFs so that the center counter can be read.

- The aforementioned charm status square can now be tested by putting 'Charm'
  as first priority and checking "Create a virtual test affliction" in
  Decursive's general option panel.

- Localization updates by Ananhaid (zhCN) and Yllelder (esES). Some phrases
  were modified to clarify some settings. I've updated the French translations
  but eight other languages are needing some attention.

- Remove the silence at the start of the 'Unstable Affliction/Vampiric touch'
  warning sound.


Changes from Decursive 2.7.2.8 to Decursive 2.7.2.9 (2013-05-21)
----------------------------------------------------------------

- Updated TOC for WoW 5.3.


Changes from Decursive 2.7.2.7 to Decursive 2.7.2.8 (2013-04-14)
----------------------------------------------------------------

- Added support for Hands of Sacrifice which can dispel magical effects on
  party/raid members for retribution Paladins.

- Enhanced the internal mechanism for unit exclusion (this concerns spell only
  usable on the player or on party/raid members): it now also works for MUFs'
  buttons assignments.


Changes from Decursive 2.7.2.6 to Decursive 2.7.2.7 (2013-03-10)
----------------------------------------------------------------

- Fix Symbiosis support: Decursive now correctly detects "Cleanse" and "Purge"
  for Druids and "Cyclone" for Priests.

- Decursive will no longer show its "send this debug report to the author"
  window if the self diagnostic detects a PBCK issue (missing or outdated
  library, missing file, incompatible TOC, mixed file versions).

- Emphasized in the corrupted installation pop-up that the WoW client must
  _NOT_ be running while installing add-ons.


Changes from Decursive 2.7.2.5 to Decursive 2.7.2.6 (2013-03-07)
----------------------------------------------------------------

- Fix the custom spell upgrade system that could error out when logging in on a
  character for the first few times (the upgrade did go through though).


Changes from Decursive 2.7.2.4 to Decursive 2.7.2.5 (2013-03-06)
----------------------------------------------------------------


- Decursive's master spell table is now indexed by spell-IDs instead of
  localized spell-names this will fix localization related name collision issues.
  These collision were preventing auto-configuration to work correctly for some
  locals (such as Russian Paladins).


- Fixed a rare 'index is nil' Lua error happening is some race conditions when
  mouse-hovering the MUFs. The same race conditions could cause the MUFs' handle
  to be displayed in an unexpected position...

- Switched back to AceTimer-3.0 which is reliable again now.


Changes from Decursive 2.7.2.3 to Decursive 2.7.2.4 (2012-12-25)
----------------------------------------------------------------

- Added automatic support for Druid's Symbiosis spell, Decursive should detect
  any useful cleansing spell gained through the use of Symbiosis. Previously
  you had to add Symbiosis as a custom spell yourself and configure it.
 
- Better performances for people playing in very low FPS conditions.

- Fix automatic version announcement related Lua error due to wrong
  communication channel.

- Miscellaneous enhancements to the error handler and debug report feature:
    - Decursive will no longer tell the user to check his/her add-ons when more
      than 90% of the errors comes from tainting issues or Blizzard own UI code.
    - Decursive will also create reports for errors happening in
      Healers-Have-To-Die (instructions are changed accordingly)

- The 'Check other players' button in the about panel had disappeared.


Changes from Decursive 2.7.2.2 to Decursive 2.7.2.3 (2012-11-28)
----------------------------------------------------------------

- Improved the live-list related option panel, it now includes an explanation on
  how to set up the live-list and how to move it.

- Many improvements to Decursive's self diagnostic systems and bug reporter.

- Some performance improvement when dealing with massive debuffing.

- Bug fix: Workaround for the 'Script ran too long' issue happening (rarely)
  when playing the alert sound (a Blizzard side issue).

- Bug fix: Fix two very rare race condition issues that would trigger a Lua
  error.

- Bug fix: The macro Decursive automatically creates was using an invalid icon.

- All pre-MoP compatibility layers have been removed.


Changes from Decursive 2.7.2.1 to Decursive 2.7.2.2 (2012-10-07)
----------------------------------------------------------------

- Fix for "Dcr_DebuffsFrame.lua:854: bad argument #3 to 'str_format' (string
  expected, got nil)".

- Only generate reports for taint issues blaming Decursive when Decursive is not
  embedding libraries.

- Decursive will no longer generate a debug report if its alert sound takes too
  long to play (strange issue happening to some users, probably hardware
  related).

- Fix a "script ran too long" issue that could happen if another add-on
  generated a Lua exception for the first time during combat.


Changes from Decursive 2.7.2 to Decursive 2.7.2.1 (2012-09-27)
--------------------------------------------------------------

- Decursive no longer generates debug reports when it is blamed for taint issues it is not causing.
  Usually this happens because Decursive embeds LibDBIcon which is then used by
  other add-ons to display their settings and thus triggering the [months old massive taint issue Blizzard did not fix](http://us.battle.net/wow/en/forum/topic/6713012357).

- Decursive won't display its nagging message about other buggy add-ons when
  the error throttle limit is triggered by the aforementioned issue (usually
  when you open and close your UI option panel for the first time while you are
  in combat)


Changes from Decursive 2.7.1.1 to Decursive 2.7.2 (2012-09-23)
--------------------------------------------------------------


- Decursive no longer adds its settings to Blizzard's Interface Options UI (in
  order to avoid the massive UI tainting it caused...). I've made a (useless?)
  bug report on the EU MoP beta forum that might need a bump: [http://eu.battle.net/wow/en/forum/topic/5300140681#1](http://us.battle.net/wow/en/forum/topic/6713012357)

  So until Blizzard fixes this bug you can still access Decursive's option
  through the MUF's handle or by typing /Decursive

- Added automatic management of the 'Command Demon' Warlock's spell that can be
  used to cast 'Singe Magic' using 'Grimmoire of Sacrifice' on the Imp.

- Renamed the 'Stop casting' check box in the customs spells' options to 'Pet
  ability' as it's what it really is. Prior MoP, adding /StopCasting or not at
  the top of the macro was the only effect of this option (hence its former name)
  but now, Decursive needs to know where to look for the spell in order to detect
  it properly.

- Allow the user to change the priority of her custom spells from -10 to +30
  (this possibility is no longer restricted to 10-30). This allows the user to
  configure spells that will only take over when a default ability is not
  available (default abilities having a priority between 0 and 10).

- Replaced AceTimer-3.0 with LibShefkiTimer-1.0 to fix random 'Script ran too
  long' issues happening with AceTimer's current implementation.

- Minors fixes and optimizations.


Changes from Decursive 2.7.1 to Decursive 2.7.1.1 (2012-09-02)
--------------------------------------------------------------

- Enhancement to the debug reports.

- Removed the 'Flame Shock' warning as 'Lava Flows' is gone. I leave the
  'Vampiric Touch' warning for now since there is 'Sin and Punishment' (a Tier
  6 Shadow priest talent).

- Implemented a workaround for range detection until Blizzard fixes the API.

- MoP: Detect 'Internal Medicine' talent for Monks


Changes from Decursive 2.7.0.5 to Decursive 2.7.1 (2012-08-30)
--------------------------------------------------------------

- Compatible with Mists of Pandaria

- Added a warning when the unit your about to cleanse is afflicted by 'Vampiric
  Touch' or 'Flame Shock' (just like with 'Unstable Affliction')

- Added support for Italian localization, you can contribute using the
  [Localization interface][localization].

- Other locals updated (Thanks to contributors!)

- Miscellaneous unnoticeable changes.


Changes from Decursive 2.7.0.4 to Decursive 2.7.0.5 (2012-02-05)
----------------------------------------------------------------

- Changed author's name to a real name (Why should we use nicknames?).

- Localization updates. Brazilian Portuguese still needs a lot of work, if you
  want to help: you can contribute using the [Localization interface][localization]

- Update to self diagnostic error messages to tell people that they must close WoW
  while updating add-ons.

- Decursive now prints an educational message in the chat and disables
  its internal error handler once a thousand Lua errors have been
  intercepted. (Applicable when BugGrabber is not present)


Changes from Decursive 2.7.0.3 to Decursive 2.7.0.4 (2011-11-29)
----------------------------------------------------------------

- TOC to 40300

- Reimplemented support for people using an old version of BugGrabber, should
  spam less when they are using rusty add-ons.

- Added support for ptBR localization, you can contribute using the
  [Localization interface][localization]


Changes from Decursive 2.7.0.2 to Decursive 2.7.0.3 (2011-07-03)
----------------------------------------------------------------

- TOC to 40200

- Fix a problem ("LiveList:Update_Display(): couldn't get range") occurring to
  warlocks when MUFs are disabled.

- FIX: Some MUFs settings were not applied when switching between profiles.

- removed compatibility code for older versions of WoW


Changes from Decursive 2.7.0.1 to Decursive 2.7.0.2 (2011-05-08)
----------------------------------------------------------------

- FIX: Shadow Priests were incorrectly told they could remove magic afflictions
  off other players.  (This change happened in WoW 4.1 patch)

- Fix to the 'BugGrabber is spamming' issue.

- Compatible with future WoW 4.2 patch (current PTR client).



Changes from Decursive 2.6.1 to Decursive 2.7.0.1 (2011-04-27)
--------------------------------------------------------------

- **Major new feature:**

    - Custom spells management interface ('Custom Spells' in the option panel).
        - Add any spell you want to be used on specific affliction types with
          different priorities.
        - Edit MUFs' internal macros associated to each of those spells
          (internal macros work the same way as other macros).

- **Changes:**

    - Options names and descriptions related to afflictions priorities have
      been revamped to be more coherent and better reflect the way Decursive
      works. (Thanks to Nerdling for his input and many suggestions)

      As a result many options have been renamed and descriptions
      changed or created. If you want to help to localize those changes in your own
      language, you can do it using the [Localization interface][localization]
      available on WoWAce.com.  (many phrases are requiring review, make sure their
      translations are accurate)

    - Decursive now embeds and uses BugGrabber to capture errors happening inside its own code base
        (BugGrabber is still in developpment, the current implementation is not final)

    - MUFs' Mouse-buttons associations are reset to default when installing this version.

- **Bug fixes:**

    - It was no longer possible to resize the live-list or change its opacity.

    - Various small fixes and improvements.

[localization]: http://www.wowace.com/addons/decursive/localization/



Changes from Decursive 2.6.0.1 to Decursive 2.6.1 (2011-03-04)
--------------------------------------------------------------

- **Fixes:**

    - Important fix to charm detection, previously Decursive only reported
      affliction related charm effects.
      Decursive is now able to report charmed players even when they have no active
      debuffs (any player becoming attackable is considered as charmed).
      This fixes Cho'Gall's [Worshipping][worshiping] buff detection issue ([ticket 71][ticket71]).
      Many thanks to Wcshadow for his help in fixing this!

    - If a unit was invisible and afflicted, Decursive would only show the stealth status.

    - Talent "Body And Soul" detection for priests was no longer detected
      since it was moved to tier 5 a few months ago...

    - Enhancements to talents detection and initialization.


- **New Features:**

    - *Vertical Display* option for MUFs (MUFs will grow vertically and columns
      will be added when the maximum set number of MUFs per row is reached).

    - Added links in main description to [videos][YoutubeDecursivePlaylist] found on Youtube.


- **Changes and enhancements:**


    - The "Decursive" bar is now hidden by default since it's quite useless once
      you have chosen its position...

    - MUFs' chronometers (timer mode) are now based on the actual duration of the
      affliction instead of its discovery time.

    - The handle will always be placed above the first MUF regardless of your MUF's
      display options (Except when the first MUF is at the top of your screen, in
      this case it will be placed beneath last line's first MUF)

    - MUFs' Anchoring is now more logical, MUFs' scale tweaking will seem more
      natural.

    - Added visible hint on how to move the Micro-Unit-Frames in the related option panel.

    - Major option tree cleanup and optimization (reduced static memory usage by 14
      Kib), as a result, some options have moved and other have reset to their
      default values.

    - MUFs' positioning system had to be rewrote to implement the vertical
      display option, as a result MUFs will be reset to their default position
      upon installation of this version.

    - Various code optimizations and cleanup.

[YoutubeDecursivePlaylist]: http://www.youtube.com/view_play_list?p=BAC83C82EDE3FD24
[ticket71]: http://www.wowace.com/addons/decursive/tickets/71-chogall-worship/
[worshiping]: http://www.wowhead.com/spell=91317

----------------------------------------------------------------------------------------------

Changes from Decursive 2.6.0 to Decursive 2.6.0.1 (2010-12-06)
--------------------------------------------------------------

- *Fix:* Decursive's users who are located in a region where Daylight Saving Time (DST) is
  still active could trigger the new version alert for other users using the same version of Decursive.

----------------------------------------------------------------------------------------------

Changes from Decursive 2.5.2.2 to Decursive 2.6.0 (2010-11-28)
--------------------------------------------------------------

**Enhancements:**

- Pet's Micro-Unit Frames are now smaller.

- A 'new-version' detection mechanism has been implemented.

  Users will receive an alert every seven days at login once a new version has
been detected.

  This alert can be disabled through the new option ("New version alerts") available
  in the General option tab.

- Slightly changed the MUFs' default colors and chronometers' font to make
  things clearer.

- Reduced Decursive's static memory footprint by 100Kb.

- Multiple enhancements to the About dialog when using the "Check other
  players" feature.

- Typing /Decursive will now open the configuration UI instead of printing a yellowish
  error message.

- Text and description change concerning MUFs' window's auto-hide option to
  avoid confusion.

- Updated [documentation][] with in-line links to various [screen-shots][] of Decursive's UI.

- Added A new section in [Decursive's main page][Decursive]: "Interesting articles about
  Decursive usage".

  The article written by Darista is a very interesting read if you want to get the
  max out of Decursive:
        [http://daritos.apotheosis-now.com/?p=24](http://daritos.apotheosis-now.com/?p=24)


**Bug Fixes:**

- Fix Priority and Skip list mouse button handling, it was no longer possible
  to move units in those lists.

- The configurable key-binding to open the config UI was broken since the
  conversion to Ace3.

[Decursive]: http://www.wowace.com/addons/decursive/
[screen-shots]: http://www.wowace.com/addons/decursive/images/
[documentation]: http://www.wowace.com/addons/decursive/pages/

----------------------------------------------------------------------------------------------

Changes from Decursive 2.5.2.1 to Decursive 2.5.2.2 (2010-10-31)
----------------------------------------------------------------

- Internal optimizations concerning timers creation.

- "Magic Charm" has now a lower priority. This will prevent 'Purge' being set
  on left-click by default for Shamans.

- Several fixes and additions to German localization by Freydis88.

- Decursive could have troubles detecting talents for some people.

- Removed old 3.5 deprecated spells when in 4.0. This fixes the error message
  some users were getting about no longer existing SpellIDs.

- Other small fixes and enhancements.

----------------------------------

Changes from Decursive 2.5.2 to Decursive 2.5.2.1
-------------------------------------------------

- Fix chronometer display offset bug.

- Added 'Improved Cleanse Spirit' talent detection for Shamans allowing them to
  cure magic with 'Cleanse Spirit'.

- Added 'Nature's Cure' talent detection for Druids allowing them to cure magic
  with 'Remove Corruption'.

- Added 'Sacred Cleansing' talent detection for Paladins allowing them to cure
  magic with 'Cleanse'.

- Removed now useless 'Abolish' spells related options.

----------------------------------

Changes from Decursive 2.5.1 to Decursive 2.5.2
-----------------------------------------------

- Compatible with World of Warcraft 4.0, spells have been updated, if
  something is missing, open a [ticket][ticket] on WoWAce.org or email me at
  <archarodim+dcrMS@teaser.fr>

- Warlocks can use fear on charmed players.

----------------------------------

Changes from Decursive 2.5.0 to Decursive 2.5.1
-----------------------------------------------

- *Raid Target Icons are now supported* (MUFs and Live-List display)

- *NEW option*: "Do not use 'Abolish' spells" (in the cure options). If enabled
  will prefer 'Cure Disease' and 'Cure Poison' over their 'Abolish' equivalent.
  (Defaults to off)

- "Check for 'Abolish' before curing" option now defaults to off. (May not be
  wanted when a disease or poison needs to be removed at all costs ; it was
  also confusing for some users)

- *NEW option*: "Allow macro edition" preventing Decursive from updating its
  macro and letting the user change it and still use Decursive macro key-binding
  management. (Defaults to off)

- *NEW command line option* to hide and disable the MUFs handle: 
  (/dcr HideMUFsHandle)

- German translation is now complete (thanks to Freydis88).

- Remove the ERR_GENERIC_NO_TARGET debug report happening when the player
  tries to use Polymorph or Purge on himself or another friendly player.

- Fix to "LiveList:Update_Display(): couldn't get range" error occurring when
  not using the MUFs.

- Removed the French version of 'readme' and 'changelog' since 3 persons only
  were reading those.

----------------------------------

Changes from Decursive 2.4.5.1 to Decursive 2.5.0
-------------------------------------------------


*IMPORTANT CHANGES:*

- *NEW OPTION*: "Time left" for MUF chronometers. (Defaults to off) Displays time
  left instead of time elapsed on afflicted MUFs.

- *NEW OPTION PANEL*: (under the MUF options) to let the user choose the
  MUF's mouse button assignments. The middle-mouse button can be used to cast
  curing spells too.

- *NEW OPTION*: Testing MUF display layout is now possible. Look in the MUF
  display options.

- It's now possible to *check Decursive versions* used in your current group or
  Guild (From the 'About' option panel).



*MINOR CHANGES AND IMPROVEMENTS:*

- The 'Unstable Affliction' warning will also work when tool-tip display is
  disabled.

- Added a new option (under the general tab) to disable the three welcome
  messages Decursive prints at each login.

- Enhancement: The MUF tool-tip is always displayed above the MUFs or beneath
  them if it's not possible. (it can't overlap the MUFS anymore).

- The 'target' and 'mouseover' units will no longer be displayed in the
  Live-list if the player is part of the group.

- Non-release versions (alphas, betas and release candidates) of Decursive will
  expire after 30 days instead of 10. The expiration alert of these versions
  will be displayed only once every 48 hours (and no longer at every login).

- Updated minimum library versions requirements.

----------------------------------

Changes from Decursive 2.4.5 to Decursive 2.4.5.1
---------------------------------------------------

- Fix a problem where Decursive would not correctly detect priest talent 'Body
  and Soul' at login.

- Re-enabled debuglocals() hotfix for 3.3 when Lua error reporting is enabled.

- Localization update.

- TOC update for WoW 3.3.


Changes from Decursive 2.4.3.2 to Decursive 2.4.5
-------------------------------------------------

- **Major changes:**

    - Decursive has been fully converted to Ace3.

    - Decursive is no longer licensed under the GNU GPL, License has changed
      to 'All Rights Reserved' (see LICENSE.txt).

    - Due to the conversion to Ace3, there is no longer a drop down menu to
      access the option.

    - New option panel available through Blizzard add-ons option UI, you can also
      access the options by alt-right clicking on Decursive Icon.

    - Decursive options will be reset to default upon installation of this version.

- **Minor changes:**

    - Fix for Shamans: 'Cleans Spirit' was not replacing 'Cure Toxins', the two
      spells were both active and confusing for the user.

    - Removed the 'Ignore stealthed units' option that is useless since several
      years.

    - The Macro key binding is now a global setting (no longer bind to the
      profile).

    - Replaced TabbletLib by LibQtip-1.0.

    - Removed DewDrop-2.0 which has no replacement in Ace3 framework.

    - Added an about panel.

    - Various little enhancements and code cleanup.


Changes from Decursive 2.4.3 to Decursive 2.4.3.2
-------------------------------------------------

- A Lua error could occur in rare race conditions (when clicking on a MUF at the
  exact moment its debuff disappears).

- 'Shadoweld' was no longer detected as stealth because its spell ID changed.
  (future spell ID changes will generate debug reports).

Changes from Decursive 2.4.2 to Decursive 2.4.3
-----------------------------------------------

- Implemented a permanent solution for debuffs not detected by direct debuff events.

- Made the macro options more reliable and logical:
    - When the macro creation is disabled, the currently assigned key is removed.
    - The assigned key is also removed when the profile options are reset.
    - Key assignment feature is disabled if the macro creation is disabled.

- The 'no macro key warning' is now turned off by default since this whole
  mouseover macro thing is not really interesting after all...

- Removed LibBabble-Class-3.0 (replaced by _G.LOCALIZED_CLASS_NAMES_MALE)

- Added an exception for the 'Dark Matter' debuff for which no SPELL_AURA_APPLIED
  event is generated by the game.

- Re-enabled Lua error handler but added security checks and also dynamic
  hotfixes to Blizzard_DebugTools errors that resulted in C Stack Overflows.
    - **IMPORTANT**: Because of (or rather thanks to) those hotfixes, Decursive installation may reveal some Lua errors
      that you couldn't see before.

- Always use the "player" unitID in raid (was using raid# when the player was included in the priority list)
        This prevents the player MUF from disappearing temporarily while a group update is in progress.


Changes from Decursive 2.4.1 to Decursive 2.4.2
-----------------------------------------------

- IMPORTANT STABILITY AND RELIABILITY FIXES: Problems fixed in this release
  could prevent Decursive from reporting afflictions in race conditions (all
  previous versions are affected).

- Added Shaman's "Hex" spell to crowd control charmed players.

- Added new Shaman spell "Cure Toxins".

- Documentation completely rewritten and reorganised using .docmeta and markdown
  formatting. Users don't have any excuse left to not read it now ;) The
  documentation is accessible there: <http://www.wowace.com/addons/decursive/>

- Decursive is now able to report LUA errors related to itself using the
  wonderful "non-annoying after combat auto report feature" introduced in 2.4.1 :)

- Added support for AddonLoader http://www.wowwiki.com/AddonLoader (auto-load
  if your class is any of Mage, Priest, Paladin, Druid, Hunter, Warlock,
  Shaman).

- Added an option to disable the macro creation.

- Miscellaneous enhancements and minor bug fixes.


Changes from Decursive 2.4 to Decursive 2.4.1
-----------------------------------------------

- Added support for the new priest talent 'Body and soul' to be able to cleanse
  a poison effect on self when using 'Abolish Disease'.

- Added the 'Tranquilizing Shot' Hunter spell to remove magic debuff on mind
  controlled units.

- Important enhancements and fixes to the MUF positioning/scaling system:
    - Changing their scale will no longer affect their position in an illogical
      way.
    - MUFs are maintained on screen whatever happens ; their position will
      no longer be reset to default.

- Multiple fixes and enhancements to charm (mind control state) detection.

- Fixes to Decursive icon: now it does what the tool-tip says and it doesn't
  throw a LUA error if tool-tips are disabled in the LDB client.

- The MUFs no longer depend on the 'mouseover' unit (internal simplification,
  more reliability).

- Added a new advanced debug report system.



Changes from Decursive 2.3.1 to Decursive 2.4
---------------------------------------------

- New feature: The cool down of the curing spell to be used is displayed
  (clock) on afflicted MUFs.

- Decursive uses AceLocal-3.0 ; localization is now made using this interface:
  http://wow.curseforge.com/projects/decursive/localization/

- Miscellaneous localization updates in various languages.

- Re-implemented the max unit to show option.

- Added a warning when the user disables Decusive and an explanation on how to
  re-enable it (/dcr standby)

- Translations for key bindings descriptions (WoW key binding interface)

- It's no longer possible to map the button 1 and 2 of the mouse to Decursive's
  macro by accident.

- Fixes a problem if the game is loaded without any "saved variables" where the
  API GetCurrentBindingSet() would return incorrect values unusable with the
  API SaveBindings() preventing Decursive from initializing correctly.

- Bug fix: Charmed unit detection wasn't working if the player himself was charmed.

- Bug fix: The focus MUF was not added at the end but just before pets.

- Bug fix: The stick to right option (concerning the MUFs positions) was broken.

- Some other minor bug fixes.


[ticket]: http://www.wowace.com/addons/decursive/tickets/
